Endpoints
Create and start a task
Starts asynchronous work. Supplying attachments additionally requires files:write; each uploadId must come from POST /v1/uploads.
POST
/
v1
/
tasks
Error
A valid request URL is required to generate request examples{
"task": {
"id": "<string>",
"title": "<string>",
"status": "queued",
"projectId": "<string>",
"model": {
"slug": "<string>",
"fast": true,
"effort": "low"
},
"pendingInteraction": {
"id": "<string>",
"type": "question",
"prompt": "<string>"
},
"createdAt": "<string>",
"updatedAt": "<string>"
},
"messages": [
{
"id": "<string>",
"role": "user",
"parts": [
{
"type": "reasoning",
"text": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}Authorizations
A personal API key created in Adam. Send it as Authorization: Bearer <key>.
Headers
Required unique key. For 24 hours, retries with the same key and body replay the original response.
Body
application/json
Show child attributes
Show child attributes
Maximum string length:
100000Maximum array length:
20Show child attributes
Show child attributes
Required string length:
1 - 500Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Last modified on August 26, 2026
⌘I
Error
A valid request URL is required to generate request examples{
"task": {
"id": "<string>",
"title": "<string>",
"status": "queued",
"projectId": "<string>",
"model": {
"slug": "<string>",
"fast": true,
"effort": "low"
},
"pendingInteraction": {
"id": "<string>",
"type": "question",
"prompt": "<string>"
},
"createdAt": "<string>",
"updatedAt": "<string>"
},
"messages": [
{
"id": "<string>",
"role": "user",
"parts": [
{
"type": "reasoning",
"text": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}